{ config, pkgs, ... }:

{
  imports =
    [ 
      ../../modules/system.nix
      ../../modules/i3.nix
    # Include the results of the hardware scan.
      ./hardware-configuration.nix
    ];

  # Bootloader.
  boot.loader.grub = {
    enable = true;
    device = "/dev/vda";
    useOSProber = true;
  };

  networking.hostName = "nixos"; # Define your hostname.
  networking.networkmanager.enable = true;


  system.stateVersion = "24.05"; # Did you read the comment?

}
